import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class CouponGetCouponsQuery {
  final int? offset;
  final int? limit;
  final String? sortBy;
  final List<String>? companyTokens;
  final List<String>? retailerTokens;

  CouponGetCouponsQuery({
    this.offset,
    this.limit,
    this.sortBy,
    this.companyTokens,
    this.retailerTokens,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.OFFSET] = offset;
    data[Constants.LIMIT] = limit;
    data[Constants.SORT_BY] = sortBy;
    data[Constants.COMPANY_TOKENS] =
        companyTokens != null && companyTokens!.isNotEmpty
            ? companyTokens!.join(Constants.SEPARATOR)
            : null;
    data[Constants.RETAILER_TOKENS] =
        retailerTokens != null && retailerTokens!.isNotEmpty
            ? retailerTokens!.join(Constants.SEPARATOR)
            : null;
    return data;
  }
}
