import 'package:dcoupon_sdk_flutter_package/src/domain/entities/legal_document.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class LegalDocumentModel extends LegalDocument {
  LegalDocumentModel({
    required String id,
    required String type,
    required int version,
    required String defaultLanguage,
    required Map<String, dynamic> contentMap,
    required Map<String, dynamic> versionChangesMap,
  }) : super(
          id: id,
          type: type,
          version: version,
          defaultLanguage: defaultLanguage,
          contentMap: contentMap,
          versionChangesMap: versionChangesMap,
        );

  factory LegalDocumentModel.fromJson(Map<String, dynamic> json) {
    // final userLanguage = ConfigReader.languageCode;
    // final defaultLanguage = json[Constants.DOC_DEFAULT_LANGUAGE];

    // final content = json[Constants.DOC_CONTENT];
    // final langContent = content[userLanguage] ?? content[defaultLanguage];
    // final legalDocUrl = langContent[Constants.DOC_LEGAL_DOC_URL];

    // final versionChanges = json[Constants.DOC_VERSION_CHANGES] as Map<String, dynamic>;
    // final versionChangesTextMap = versionChanges.map<String, String>((key, value) {
    //   final langValue = value[userLanguage] ?? value[defaultLanguage];
    //   return MapEntry(key, HtmlUnescape().convert(langValue));
    // });

    return LegalDocumentModel(
      id: json[Constants.DOC_ID],
      type: json[Constants.DOC_TYPE],
      version: json[Constants.DOC_VERSION],
      defaultLanguage: json[Constants.DOC_DEFAULT_LANGUAGE],
      contentMap: json[Constants.DOC_CONTENT],
      versionChangesMap: json[Constants.DOC_VERSION_CHANGES],
    );
  }
}
