import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class StoreGetStoresQuery {
  final int? start;
  final int? limit;
  final String? promotionToken;
  final List<String?>? retailerTokens;
  final String? zipcode;
  final String? latitude;
  final String? longitude;
  final String? radius;
  final String? publisherToken;

  StoreGetStoresQuery({
    this.start,
    this.limit,
    this.promotionToken,
    this.retailerTokens,
    this.zipcode,
    this.latitude,
    this.longitude,
    this.radius,
    this.publisherToken,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.START] = start;
    data[Constants.LIMIT] = limit;
    data[Constants.PROMOTION_TOKEN] = promotionToken;
    data[Constants.RETAILER_TOKENS] =
        retailerTokens != null && retailerTokens!.isNotEmpty
            ? retailerTokens!.join(Constants.SEPARATOR)
            : null;
    data[Constants.ZIPCODE] = zipcode;
    data[Constants.LATITUDE] = latitude;
    data[Constants.LONGITUDE] = longitude;
    data[Constants.RADIUS] = radius;
    data[Constants.PUBLISHER_TOKEN] = publisherToken;
    return data;
  }
}
