import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/enum_helper.dart';
import 'package:dio/dio.dart';

const String SESSION_TOKEN = "sessionToken";

class UserAcceptEnrollmentFormResponse {
  final String? sessionToken;
  final ClientType? clientType;

  UserAcceptEnrollmentFormResponse({
    this.sessionToken,
    this.clientType,
  });

  factory UserAcceptEnrollmentFormResponse.fromResponse(
      Response<dynamic> response) {
    final Map<String, dynamic> json = response.data;
    final headersMap = response.headers.map;
    final String clientTypeString =
        headersMap[Constants.HEADER_CLIENT_TYPE]!.first;
    return UserAcceptEnrollmentFormResponse(
      sessionToken: json[SESSION_TOKEN],
      clientType:
          EnumHelper.enumFromString(clientTypeString, ClientType.values),
    );
  }
}
