import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/data/datasources/store_remote_data_source.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/store_repository.dart';

class StoreRepositoryImpl implements StoreRepository {
  final StoreRemoteDataSource? remoteDataSource;

  StoreRepositoryImpl({
    this.remoteDataSource,
  });

  @override
  Future<Either<Failure, dynamic>> getStores({
    String? promotionToken,
    int? start,
    int? limit,
    List<String>? retailerTokens,
    String? zipcode,
    String? latitude,
    String? longitude,
    String? radius,
    String? publisherToken,
  }) async {
    return await remoteDataSource!.getStores(
      promotionToken: promotionToken,
      start: start,
      limit: limit,
      retailerTokens: retailerTokens,
      zipcode: zipcode,
      latitude: latitude,
      longitude: longitude,
      radius: radius,
      publisherToken: publisherToken,
    );
  }
}
