import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class LegalDocument {
  final String id;
  final String type;
  final int version;
  final String defaultLanguage;
  final Map<String, dynamic> contentMap;
  final Map<String, dynamic> versionChangesMap;

  LegalDocument({
    required this.id,
    required this.type,
    required this.version,
    required this.defaultLanguage,
    required this.contentMap,
    required this.versionChangesMap,
  });

  String contentLegalDocUrl(
    String userLanguage,
  ) {
    final langContent = contentMap[userLanguage] ?? contentMap[defaultLanguage];
    final legalDocUrl = langContent[Constants.DOC_LEGAL_DOC_URL];

    return legalDocUrl;
  }

  Map<String, String> versionChangesTextMap(
    String userLanguage,
  ) {
    final versionChangesTextMap =
        versionChangesMap.map<String, String>((key, value) {
      final langValue = value[userLanguage] ?? value[defaultLanguage];
      return MapEntry(key, langValue);
    });

    return versionChangesTextMap;
  }
}
