import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dcoupon_sdk_flutter_package/src/data/models/user_accept_enrollment_form_response.dart';
import 'package:dcoupon_sdk_flutter_package/src/data/models/user_login_response.dart';


abstract class UserRepository {
  Future<Either<Failure, UserLoginResponse>> login({
    required String externalId,
    required String? email,
    String? referralCode,
  });

  Future<Either<Failure, void>> logOut();

  Future<Either<Failure, UserAcceptEnrollmentFormResponse>>
      acceptEnrollmentForm({
    required String? jwt,
    required List<String>? legalDocumentsAccepted,
  });

  Future<Either<Failure, dynamic>> getUserData();

  Future<Either<Failure, dynamic>> updateUserData({
    String? alias,
    String? gender,
    String? birthdate,
  });
}
