import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/usecases/usecase.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/coupon_repository.dart';
import 'package:equatable/equatable.dart';

class CouponActivateCoupon
    implements UseCase<dynamic, CouponActivateCouponParams> {
  final CouponRepository? repository;

  CouponActivateCoupon(this.repository);

  @override
  Future<Either<Failure, dynamic>> call(
      CouponActivateCouponParams params) async {
    return await repository!.activateCoupon(
      couponId: params.couponId,
    );
  }
}

class CouponActivateCouponParams extends Equatable {
  final String? couponId;

  CouponActivateCouponParams({
    this.couponId,
  });

  @override
  List<Object?> get props => [
        couponId,
      ];
}
