import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/usecases/usecase.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/loyalty_repository.dart';

class LoyaltyGetUserLoyaltyCards implements UseCase<dynamic, NoParams> {
  final LoyaltyRepository? repository;

  LoyaltyGetUserLoyaltyCards(
    this.repository,
  );

  @override
  Future<Either<Failure, dynamic>> call(NoParams params) async {
    return await repository!.getUserLoyaltyCards();
  }
}
