import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/usecases/usecase.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/promotion_repository.dart';
import 'package:equatable/equatable.dart';

class PromotionGetCompanies
    implements UseCase<dynamic, PromotionGetCompaniesParams> {
  final PromotionRepository? repository;

  PromotionGetCompanies(this.repository);

  @override
  Future<Either<Failure, dynamic>> call(
      PromotionGetCompaniesParams params) async {
    return await repository!.getCompanies(
      publisherToken: params.publisherToken,
      start: params.start,
      limit: params.limit,
    );
  }
}

class PromotionGetCompaniesParams extends Equatable {
  final String? publisherToken;
  final int? start;
  final int? limit;

  PromotionGetCompaniesParams({
    this.publisherToken,
    this.start,
    this.limit,
  });

  @override
  List<Object?> get props => [
        publisherToken,
        start,
        limit,
      ];
}
