import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/usecases/usecase.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/promotion_repository.dart';
import 'package:equatable/equatable.dart';

class PromotionGetPromotionDetail
    implements UseCase<dynamic, PromotionGetPromotionDetailParams> {
  final PromotionRepository? repository;

  PromotionGetPromotionDetail(this.repository);

  @override
  Future<Either<Failure, dynamic>> call(
      PromotionGetPromotionDetailParams params) async {
    return await repository!.getPromotionDetail(
      promotionToken: params.promotionToken,
      publisherToken: params.publisherToken,
    );
  }
}

class PromotionGetPromotionDetailParams extends Equatable {
  final String? promotionToken;
  final String? publisherToken;

  PromotionGetPromotionDetailParams({
    this.promotionToken,
    this.publisherToken,
  });

  @override
  List<Object?> get props => [
        promotionToken,
        publisherToken,
      ];
}
