import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/usecases/usecase.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/redemption_repository.dart';

class RedemptionGetRedemptionCode implements UseCase<dynamic, NoParams> {
  final RedemptionRepository? repository;

  RedemptionGetRedemptionCode(this.repository);

  @override
  Future<Either<Failure, dynamic>> call(NoParams params) async {
    return await repository!.getRedemptionCode();
  }
}
