import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/usecases/usecase.dart';
import 'package:dcoupon_sdk_flutter_package/src/domain/repositories/user_repository.dart';

class UserLogOut implements UseCase<void, NoParams> {
  final UserRepository? repository;

  UserLogOut(
    this.repository,
  );

  @override
  Future<Either<Failure, void>> call(NoParams params) async {
    return await repository!.logOut();
  }
}
