import 'package:dcoupon_sdk_flutter_package/src/utils/translations.dart';
import 'package:flutter/material.dart';
import 'package:flutter_html/flutter_html.dart';

class LegalDocChangesWidget extends StatelessWidget {
  final String version;
  final String changes;

  const LegalDocChangesWidget({
    Key? key,
    required this.version,
    required this.changes,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Text(
          Translations.of(context)!.text('version') + ' ${version}',
          style: TextStyle(
            fontWeight: FontWeight.bold,
          ),
        ),
        Html(
          data: changes,
          style: {
            "a": Style(
              color: Colors.blue,
              textDecorationColor: Colors.blueAccent,
              textDecoration: TextDecoration.underline,
            ),
          },
        ),
        SizedBox(height: 8.0),
      ],
    );
  }
}
