import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class PlatformProgressIndicator extends StatelessWidget {
  final Animation<Color?>? androidValueColor;
  final double iosRadius;

  const PlatformProgressIndicator({
    Key? key,
    this.androidValueColor,
    this.iosRadius = 16,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {

    if (Platform.isIOS) {
      return CupertinoActivityIndicator(
        radius: iosRadius,
      );
    } else {
      return CircularProgressIndicator(
        valueColor: androidValueColor,
      );
    }
  }
}
