import 'package:dcoupon_sdk_flutter_package/src/presentation/colors.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:google_fonts/google_fonts.dart';

ThemeData dCouponDarkBlack() {
  final baseTheme = ThemeData.dark().copyWith(
    textTheme: ThemeData.dark()
        .textTheme
        .apply(fontFamily: GoogleFonts.poppins().fontFamily),
    primaryTextTheme: ThemeData.dark()
        .primaryTextTheme
        .apply(fontFamily: GoogleFonts.poppins().fontFamily),
  );

  return baseTheme.copyWith(
    primaryColor: DCouponColors.dCouponPrimaryOrange,
    primaryColorDark: DCouponColors.dCouponPrimaryBlack,
    scaffoldBackgroundColor: DCouponColors.dCouponPrimaryBlack,
    colorScheme: baseTheme.colorScheme.copyWith(
      background: Colors.grey[900],
      primary: DCouponColors.dCouponPrimaryOrange,
            secondary: DCouponColors.dCouponPrimaryOrange,
    ),
    bottomAppBarTheme: baseTheme.bottomAppBarTheme.copyWith(
      color: DCouponColors.dCouponPrimaryBlack,
    ),
    snackBarTheme: baseTheme.snackBarTheme.copyWith(
      backgroundColor: DCouponColors.dCouponPrimaryOrange,
      contentTextStyle: baseTheme.textTheme.bodyText2!.copyWith(
        color: DCouponColors.dCouponWhite,
      ),
    ),
    appBarTheme: baseTheme.appBarTheme.copyWith(
      color: DCouponColors.dCouponPrimaryBlack,
      systemOverlayStyle: SystemUiOverlayStyle.light,
      titleTextStyle: baseTheme.primaryTextTheme.headline6?.copyWith(
        fontSize: 20,
      ),
      iconTheme: IconThemeData(
        color: DCouponColors.dCouponPrimaryOrange,
      ),
    ),
    buttonTheme: baseTheme.buttonTheme.copyWith(
      buttonColor: DCouponColors.dCouponPrimaryOrange,
    ),
    elevatedButtonTheme: ElevatedButtonThemeData(
      style: ElevatedButton.styleFrom(
        primary: DCouponColors.dCouponPrimaryOrange,
      ),
    ),
    primaryIconTheme: baseTheme.primaryIconTheme.copyWith(
      color: DCouponColors.dCouponPrimaryOrange,
    ),
    iconTheme: baseTheme.iconTheme.copyWith(
      color: DCouponColors.dCouponPrimaryOrange,
    ),
    textSelectionTheme: baseTheme.textSelectionTheme.copyWith(
      selectionHandleColor: DCouponColors.dCouponPrimaryOrange,
      cursorColor: DCouponColors.dCouponPrimaryOrange,
    ),
    bottomAppBarColor: DCouponColors.dCouponPrimaryBlack,
    floatingActionButtonTheme: FloatingActionButtonThemeData(
        backgroundColor: DCouponColors.dCouponPrimaryOrange,
        foregroundColor: DCouponColors.dCouponWhite),
    cardColor: DCouponColors.dCouponPrimaryBlack,
    toggleableActiveColor: DCouponColors.dCouponPrimaryOrange,
  );
}
