import 'package:dcoupon_sdk_flutter_package/src/presentation/colors.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:google_fonts/google_fonts.dart';

ThemeData dCouponLightWhite() {
  final baseTheme = ThemeData.light().copyWith(
    textTheme: ThemeData.light().textTheme.apply(
          fontFamily: GoogleFonts.poppins().fontFamily,
        ),
    primaryTextTheme: ThemeData.light().primaryTextTheme.apply(
          fontFamily: GoogleFonts.poppins().fontFamily,
          bodyColor: DCouponColors.dCouponPrimaryBlack,
          displayColor: Colors.black54,
        ),
  );

  return baseTheme.copyWith(
    primaryColor: DCouponColors.dCouponPrimaryOrange,
    primaryColorDark: DCouponColors.dCouponWhite,
    scaffoldBackgroundColor: DCouponColors.dCouponWhite,
    colorScheme: baseTheme.colorScheme.copyWith(
      background: Colors.grey[300],
      primary: DCouponColors.dCouponPrimaryOrange,
      secondary: DCouponColors.dCouponPrimaryOrange,
    ),
    canvasColor: Colors.grey[300],
    backgroundColor: Colors.grey[300],
    snackBarTheme: baseTheme.snackBarTheme.copyWith(
      backgroundColor: DCouponColors.dCouponPrimaryOrange,
      contentTextStyle: baseTheme.textTheme.bodyText2!
          .copyWith(color: DCouponColors.dCouponWhite),
    ),
    appBarTheme: baseTheme.appBarTheme.copyWith(
      color: DCouponColors.dCouponWhite,
      systemOverlayStyle: SystemUiOverlayStyle.dark,
      titleTextStyle: baseTheme.primaryTextTheme.headline6?.copyWith(
        fontSize: 20,
      ),
      iconTheme: IconThemeData(
        color: DCouponColors.dCouponPrimaryOrange,
      ),
    ),
    buttonTheme: baseTheme.buttonTheme.copyWith(
      buttonColor: DCouponColors.dCouponPrimaryOrange,
      textTheme: ButtonTextTheme.primary,
    ),
    elevatedButtonTheme: ElevatedButtonThemeData(
      style: ElevatedButton.styleFrom(
        primary: DCouponColors.dCouponPrimaryOrange,
      ),
    ),
    primaryIconTheme: baseTheme.primaryIconTheme.copyWith(
      color: DCouponColors.dCouponPrimaryOrange,
    ),
    iconTheme: baseTheme.iconTheme.copyWith(
      color: DCouponColors.dCouponPrimaryOrange,
    ),
    textSelectionTheme: baseTheme.textSelectionTheme.copyWith(
      selectionHandleColor: DCouponColors.dCouponPrimaryOrange,
      cursorColor: DCouponColors.dCouponPrimaryOrange,
    ),
    bottomAppBarColor: DCouponColors.dCouponWhite,
    floatingActionButtonTheme: FloatingActionButtonThemeData(
        backgroundColor: DCouponColors.dCouponPrimaryOrange,
        foregroundColor: DCouponColors.dCouponWhite),
    cardColor: DCouponColors.dCouponWhite,
    toggleableActiveColor: DCouponColors.dCouponPrimaryOrange,
  );
}
